# eric3.Graphics.UMLCanvasSizeDialog

Module implementing a dialog to set the canvas sizes.

### Classes

UMLCanvasSizeDialog | Class implementing a dialog to set the canvas sizes.

### Functions

None

## UMLCanvasSizeDialog

Class implementing a dialog to set the canvas sizes.

### Derived from

UMLCanvasSizeForm

### Methods

UMLCanvasSizeDialog | Constructor
getData | Method to retrieve the entered data.

### UMLCanvasSizeDialog (Constructor)

UMLCanvasSizeDialog(w, h, minW, minH, parent = None, name = None, modal = 0, fl = 0)

Constructor

w
  current width of canvas (integer)
h
  current height of canvas (integer)
minW
  minimum width allowed (integer)
minH
  minimum height allowed (integer)
parent
  parent widget of this dialog (QWidget)
name
  name of this widget (QString or string)
modal
  flag indicating a modal dialog (boolean)
fl
  window flags

### UMLCanvasSizeDialog.getData

getData()

Method to retrieve the entered data.

Returns:
  tuple giving the selected width and height (integer, integer)

Up